<div id="header"><a href="/doc">Documentation</a> / Monitoring Configuration</div>

Create your network and configure monitoring parameters with SATEL NETCO Design, an intuitive and user-friendly network configuration software for SATEL radio modems, including SATEL-EASy+ and the legacy SATELLINE-3AS NMS product series. SATEL NETCO Design also supports importing .saxd file format for networks created with the SATEL NMS PC software.

This document outlines the NETCO NMS specific aspects of NETCO Design. For the full NETCO Design usage documentation see the [NETCO Design User Guide](/netco/design/info/en/NETCO_User_Guide.pdf).

<img src="img/usage_design_screenshot.png" style="width: 1000px; object-fit: contain;" alt="NETCO Design"/>

NETCO Design as part of NETCO NMS stack will use a green color theme. This also implies the availability of NETCO NMS specific features that are missing in standalone NETCO Design installations:
the [Update Monitoring button](design.md#notify_ms_button),
the [Network monitoring settings](design.md#network_monitoring_settings)
and [Node monitoring settings](design.md#node_monitoring_settings).

<a name="notify_ms_button" class="anchor"></a>
## 'Update Monitoring' button'

The "Update Monitoring" button is added to the top of the map view. This sends the settings of the current network to monitoring. **Note: Any changes made to monitoring settings will not be applied until Update Monitoring has been pressed**.

![Notify MS button](img/usage_design_notify_ms.png)

<a name="network_monitoring_settings" class="anchor"></a>
## Network monitoring settings

When accessing Network settings from the bottom left corner of the map view, a section for "Monitoring" is found in the property tree editor:

### Settings under Network settings / Monitoring:

- **State**: **On** - Monitoring active. **Paused** - Monitoring inactive but network is listed in monitoring. **Off** - Monitoring disabled and network not listed in monitoring.
- **Min Interval (ms)**: Minimum time in milliseconds between monitoring queries.
- **Max Retries**: Maximum number of retries to failed query.
- **Deadband Timeout (s)**: Timeout in seconds, for monitoring stack to create alarm of non-responsive node. 0=deadband monitoring inactive.
- **Protocol**: This specifies by which external format or protocol the network synchronization will happen. Currently the only supported value is Satel NMS Protocol

### Settings under Network settings / Monitoring / Satel NMS Protocol:

- **Send mode**: **Offline** - Radio network monitoring requests sent spontaneously. Not recommended for networks with system data, without radio layer collision avoidance. **Online** - Radio network monitoring requests sent only along with system data. Monitoring parameters should be adjusted according to the system data frames. Recommended especially for serial data based network protocols (polling type), system data together with radio network monitoring without radio layer collision avoidance. Remote terminal addresses are used. **Online Anycast** - Online mode, which uses  ANYCAST address. In other words, a monitoring request goes to whichever address the next data packet is headed. **Online Hybrid** - This mode utilizes Online Anycast, but if a node doesn't reply within a certain period, it is polled with a specific (non-Anycast) address. The period is calculated based on the Deadband Timeout value. This mode is useful when a network contains dedicated repeaters that cannot be polled with Anycast mode.

    NOTE: Link RSSI cannot be monitored with ANYCAST address. NETCO always uses the terminal address for polling Link RSSI, even if Anycast or Hybrid mode is selected.

- **Message Timeout**: Message timeout in milliseconds.

![Network settings monitoring section](img/usage_design_network_settings.png)

<a name="node_monitoring_settings" class="anchor"></a>
## Node monitoring settings

After selecting a node from the map view, the property tree editor displays a "Filter" dropdown to allow viewing monitoring related properties exclusively:

![Node property tree filter](img/usage_design_node_property_tree_filter.png)

The Setting menu for a single property adds the "Monitoring" section to edit the Monitoring Specification ("MSPE") of the property:

![Node property setting menu](img/usage_design_node_property_setting_menu.png)

Settings in the MSPE editor:

*Property* | *Description*
:- | :-----
Monitoring enabled | Enable monitoring to collect this property from the device.
Monitoring alerts enabled | Compare received values against preset thresholds to create warnings/alarms.
Monitoring alert thresholds | Set alarm/warning limits or alert priority.

![Node property setting menu](img/usage_design_mspe_editor.png)

The buttons in the monitoring specification window:

* **Save**: Applies the monitoring parameters for the selected property in the selected network node.
* **Apply to ...**: Opens a dialog where the user can select which other nodes the monitoring specification should be applied to.
* **Cancel**: Discards all changes.

It is also possible to enable or disable monitoring for individual nodes.
To do this, open the context menu for the node and select the desired option.

![Node context menu](img/node_context_menu.png)

A disabled node will be marked on the map with a special icon:
![Disabled Node](img/disabled_node.png)


## Monitoring Reports

Monitoring information can be accessed from the Reports tab view.

* **Monitoring List**: Displays the poll list in the order that NETCO NMS will send requests to the devices. For efficiency, NETCO utilizes a single request called 'Combined Diagnostic Values' (CDV), which includes Last RSSI, Noise Level, Voltage, and Temperature measurements. Similarly, the 'Link Data' request retrieves values for Link RSSI and Link SNR (if supported by the device).
* **Monitoring Specification**: Displays the current monitoring specification for all monitorable properties in the network.
* **Monitoring Changes**: Displays monitoring configuration changes made by the user since the last 'Update Monitoring' button press.



# Example creating a new SATEL-EASy+ network to test monitoring

* Select "Design" option from NETCO main menu
* Select "Create new" in Network section
* Select the "Serial data, NMS routing / EASy+" template
* Configure desired radio parameters in Common settings tab
* Run Assists
* Select "Network and Monitoring settings" in the bottom left corner of the map view
* Set "Local Connection / Connection string"
* Synchronize settings from NETCO to test devices
* Set "OTA Network Connection / Connection string" to enable OTA communication with the network
* Set "Monitoring / State" to "On"
* Set "Monitoring / Satel NMS Protocol / Send Mode" to the preferred monitoring mode
* Click "Update Monitorong" button to enable monitoring on this network
* The network will now be displayed on the Monitoring page, accessible from the main menu.
